package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsSiteSetting;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;

import java.util.List;
import java.util.Map;

/**
 * 站点信息 服务层
 *
 */
public interface IEmsSiteService
{

    public List<EmsSiteSetting> getAllSites();


    public SiteTotalInfoVo getSiteTotalInfo();

    public List<Map<String,Object>> getAllStackInfo(String siteId);

    public List<Map<String,Object>> getAllClusterInfo(String stackDeviceId);


}
